pcl::Vertices Struct Reference

Describes a set of vertices in a polygon mesh, by basically storing an array of indices. More...

`#include <pcl/Vertices.h>`

## Public Types

typedef boost::shared_ptr< Vertices > | Ptr
typedef boost::shared_ptr< Vertices const > | ConstPtr

## Public Member Functions

| Vertices ()

## Public Attributes

std::vector< uint32_t > | vertices

## Detailed Description

Describes a set of vertices in a polygon mesh, by basically storing an array of indices.

Definition at line 13 of file Vertices.h.

## Member Typedef Documentation

typedef boost::shared_ptr<Vertices const> pcl::Vertices::ConstPtr

Definition at line 22 of file Vertices.h.

typedef boost::shared_ptr<Vertices> pcl::Vertices::Ptr

Definition at line 21 of file Vertices.h.

## Constructor & Destructor Documentation

pcl::Vertices::Vertices | ( |  | ) |

inline

Definition at line 15 of file Vertices.h.

## Member Data Documentation

std::vector<uint32_t> pcl::Vertices::vertices

Definition at line 18 of file Vertices.h.

Referenced by pcl::CropHull< PointT >::applyFilter(), pcl::Poisson< PointNT >::performReconstruction(), pcl::ConcaveHull< PointInT >::performReconstruction(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::GridProjection< PointNT >::reconstructPolygons(), and pcl::geometry::toFaceVertexMesh().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/Vertices.h